# netLocator# NetLocator

NetLocator is a simple yet powerful Python utility designed to fetch the current IPv4 address of your machine. Whether you're working on a development machine or managing servers, NetLocator makes it easy to retrieve your IP address with just a few lines of code.

## Features

- Retrieves the current IPv4 address.
- Supports both wired and wireless connections.


## Installation

To install NetLocator, simply run:

```bash
pip install netLocator
```



## How to Use `get_ip_address` from `netLocator`

To use the `get_ip_address` function from the `netLocator` module, follow these steps:

1. **Import the function**: Start by importing the `get_ip_address` function from the `netLocator` module.

2. **Call the function**: Once imported, you can call the `get_ip_address()` function to retrieve the current IPv4 address of your machine.

### Example Code

```python
from netLocator import get_ip_address

# Retrieve the current IPv4 address
ip_address = get_ip_address()

# Print the IP address
print(f"Your current IP address is: {ip_address}")
```

### Documentation

For more detailed documentation, visit the NetLocator [Documentation](https://ylp1455.github.io/net-Locator-documentation/)


## Contributing

Contributions are welcome! Please feel free to submit a pull request or open an issue if you encounter any problems.
License

NetLocator is licensed under the MIT License. See the LICENSE file for details.
